class BertForSequenceClassification(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  bert : __torch__.transformers.models.bert.modeling_bert.BertModel
  dropout : __torch__.torch.nn.modules.dropout.___torch_mangle_283.Dropout
  classifier : __torch__.torch.ao.nn.quantized.dynamic.modules.linear.___torch_mangle_285.Linear
  def forward(self: __torch__.transformers.models.bert.modeling_bert.BertForSequenceClassification,
    input_ids: Tensor,
    attention_mask: Tensor) -> Dict[str, Tensor]:
    classifier = self.classifier
    dropout = self.dropout
    bert = self.bert
    _0 = (bert).forward(input_ids, attention_mask, )
    _1 = (classifier).forward((dropout).forward(_0, ), )
    return {"logits": _1}
class BertModel(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  embeddings : __torch__.transformers.models.bert.modeling_bert.BertEmbeddings
  encoder : __torch__.transformers.models.bert.modeling_bert.BertEncoder
  pooler : __torch__.transformers.models.bert.modeling_bert.BertPooler
  def forward(self: __torch__.transformers.models.bert.modeling_bert.BertModel,
    input_ids: Tensor,
    attention_mask: Tensor) -> Tensor:
    pooler = self.pooler
    encoder = self.encoder
    embeddings = self.embeddings
    embeddings0 = self.embeddings
    token_type_ids = embeddings0.token_type_ids
    batch_size = ops.prim.NumToTensor(torch.size(input_ids, 0))
    _2 = int(batch_size)
    seq_length = ops.prim.NumToTensor(torch.size(input_ids, 1))
    _3 = int(seq_length)
    _4 = int(seq_length)
    _5 = torch.slice(token_type_ids, 0, 0, 9223372036854775807)
    buffered_token_type_ids = torch.slice(_5, 1, 0, _4)
    input = torch.expand(buffered_token_type_ids, [_2, _3])
    _6 = torch.slice(attention_mask, 0, 0, 9223372036854775807)
    _7 = torch.unsqueeze(torch.unsqueeze(_6, 1), 2)
    extended_attention_mask = torch.slice(_7, 3, 0, 9223372036854775807)
    _8 = torch.to(extended_attention_mask, 6)
    attention_mask0 = torch.mul(torch.rsub(_8, 1.), CONSTANTS.c0)
    _9 = (embeddings).forward(input_ids, input, )
    _10 = (encoder).forward(_9, attention_mask0, )
    return (pooler).forward(_10, )
class BertEmbeddings(Module):
  __parameters__ = []
  __buffers__ = ["position_ids", "token_type_ids", ]
  position_ids : Tensor
  token_type_ids : Tensor
  training : bool
  _is_full_backward_hook : Optional[bool]
  word_embeddings : __torch__.torch.nn.modules.sparse.Embedding
  position_embeddings : __torch__.torch.nn.modules.sparse.___torch_mangle_0.Embedding
  token_type_embeddings : __torch__.torch.nn.modules.sparse.___torch_mangle_1.Embedding
  LayerNorm : __torch__.torch.nn.modules.normalization.LayerNorm
  dropout : __torch__.torch.nn.modules.dropout.Dropout
  def forward(self: __torch__.transformers.models.bert.modeling_bert.BertEmbeddings,
    input_ids: Tensor,
    input: Tensor) -> Tensor:
    dropout = self.dropout
    LayerNorm = self.LayerNorm
    position_embeddings = self.position_embeddings
    token_type_embeddings = self.token_type_embeddings
    word_embeddings = self.word_embeddings
    position_ids = self.position_ids
    seq_length = ops.prim.NumToTensor(torch.size(input_ids, 1))
    _11 = int(torch.add(seq_length, CONSTANTS.c1))
    _12 = torch.slice(position_ids, 0, 0, 9223372036854775807)
    input0 = torch.slice(_12, 1, 0, _11)
    _13 = (word_embeddings).forward(input_ids, )
    _14 = (token_type_embeddings).forward(input, )
    embeddings = torch.add(_13, _14)
    _15 = (position_embeddings).forward(input0, )
    input1 = torch.add_(embeddings, _15)
    _16 = (dropout).forward((LayerNorm).forward(input1, ), )
    return _16
class BertEncoder(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  layer : __torch__.torch.nn.modules.container.ModuleList
  def forward(self: __torch__.transformers.models.bert.modeling_bert.BertEncoder,
    argument_1: Tensor,
    attention_mask: Tensor) -> Tensor:
    layer = self.layer
    _11 = getattr(layer, "11")
    layer0 = self.layer
    _10 = getattr(layer0, "10")
    layer1 = self.layer
    _9 = getattr(layer1, "9")
    layer2 = self.layer
    _8 = getattr(layer2, "8")
    layer3 = self.layer
    _7 = getattr(layer3, "7")
    layer4 = self.layer
    _6 = getattr(layer4, "6")
    layer5 = self.layer
    _5 = getattr(layer5, "5")
    layer6 = self.layer
    _4 = getattr(layer6, "4")
    layer7 = self.layer
    _3 = getattr(layer7, "3")
    layer8 = self.layer
    _2 = getattr(layer8, "2")
    layer9 = self.layer
    _1 = getattr(layer9, "1")
    layer10 = self.layer
    _0 = getattr(layer10, "0")
    _17 = (_0).forward(argument_1, attention_mask, )
    _18 = (_2).forward((_1).forward(_17, attention_mask, ), attention_mask, )
    _19 = (_4).forward((_3).forward(_18, attention_mask, ), attention_mask, )
    _20 = (_6).forward((_5).forward(_19, attention_mask, ), attention_mask, )
    _21 = (_8).forward((_7).forward(_20, attention_mask, ), attention_mask, )
    _22 = (_10).forward((_9).forward(_21, attention_mask, ), attention_mask, )
    _23 = (_11).forward(_22, attention_mask, )
    return _23
class BertLayer(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  attention : __torch__.transformers.models.bert.modeling_bert.BertAttention
  intermediate : __torch__.transformers.models.bert.modeling_bert.BertIntermediate
  output : __torch__.transformers.models.bert.modeling_bert.BertOutput
  def forward(self: __torch__.transformers.models.bert.modeling_bert.BertLayer,
    argument_1: Tensor,
    attention_mask: Tensor) -> Tensor:
    output = self.output
    intermediate = self.intermediate
    attention = self.attention
    _24 = (attention).forward(argument_1, attention_mask, )
    _25 = (output).forward((intermediate).forward(_24, ), _24, )
    return _25
class BertAttention(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  self : __torch__.transformers.models.bert.modeling_bert.BertSelfAttention
  output : __torch__.transformers.models.bert.modeling_bert.BertSelfOutput
  def forward(self: __torch__.transformers.models.bert.modeling_bert.BertAttention,
    argument_1: Tensor,
    attention_mask: Tensor) -> Tensor:
    output = self.output
    self0 = self.self
    _26 = (self0).forward(argument_1, attention_mask, )
    return (output).forward(_26, argument_1, )
class BertSelfAttention(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  query : __torch__.torch.ao.nn.quantized.dynamic.modules.linear.Linear
  key : __torch__.torch.ao.nn.quantized.dynamic.modules.linear.___torch_mangle_3.Linear
  value : __torch__.torch.ao.nn.quantized.dynamic.modules.linear.___torch_mangle_5.Linear
  dropout : __torch__.torch.nn.modules.dropout.___torch_mangle_6.Dropout
  def forward(self: __torch__.transformers.models.bert.modeling_bert.BertSelfAttention,
    argument_1: Tensor,
    attention_mask: Tensor) -> Tensor:
    dropout = self.dropout
    value = self.value
    key = self.key
    query = self.query
    _27 = (query).forward(argument_1, )
    _28 = (key).forward(argument_1, )
    _29 = ops.prim.NumToTensor(torch.size(_28, 0))
    _30 = int(_29)
    _31 = ops.prim.NumToTensor(torch.size(_28, 1))
    x = torch.view(_28, [_30, int(_31), 12, 64])
    key_layer = torch.permute(x, [0, 2, 1, 3])
    _32 = (value).forward(argument_1, )
    _33 = ops.prim.NumToTensor(torch.size(_32, 0))
    _34 = int(_33)
    _35 = ops.prim.NumToTensor(torch.size(_32, 1))
    x0 = torch.view(_32, [_34, int(_35), 12, 64])
    value_layer = torch.permute(x0, [0, 2, 1, 3])
    _36 = ops.prim.NumToTensor(torch.size(_27, 0))
    _37 = int(_36)
    _38 = ops.prim.NumToTensor(torch.size(_27, 1))
    x1 = torch.view(_27, [_37, int(_38), 12, 64])
    query_layer = torch.permute(x1, [0, 2, 1, 3])
    attention_scores = torch.matmul(query_layer, torch.transpose(key_layer, -1, -2))
    attention_scores0 = torch.div(attention_scores, CONSTANTS.c2)
    input = torch.add(attention_scores0, attention_mask)
    input2 = torch.softmax(input, -1)
    context_layer = torch.matmul((dropout).forward(input2, ), value_layer)
    _39 = torch.permute(context_layer, [0, 2, 1, 3])
    context_layer0 = torch.contiguous(_39)
    _40 = ops.prim.NumToTensor(torch.size(context_layer0, 0))
    _41 = int(_40)
    _42 = ops.prim.NumToTensor(torch.size(context_layer0, 1))
    _43 = torch.view(context_layer0, [_41, int(_42), 768])
    return _43
class BertSelfOutput(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  dense : __torch__.torch.ao.nn.quantized.dynamic.modules.linear.___torch_mangle_8.Linear
  LayerNorm : __torch__.torch.nn.modules.normalization.___torch_mangle_9.LayerNorm
  dropout : __torch__.torch.nn.modules.dropout.___torch_mangle_10.Dropout
  def forward(self: __torch__.transformers.models.bert.modeling_bert.BertSelfOutput,
    argument_1: Tensor,
    argument_2: Tensor) -> Tensor:
    LayerNorm = self.LayerNorm
    dropout = self.dropout
    dense = self.dense
    _44 = (dropout).forward((dense).forward(argument_1, ), )
    input = torch.add(_44, argument_2)
    return (LayerNorm).forward(input, )
class BertIntermediate(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  dense : __torch__.torch.ao.nn.quantized.dynamic.modules.linear.___torch_mangle_12.Linear
  intermediate_act_fn : __torch__.transformers.activations.GELUActivation
  def forward(self: __torch__.transformers.models.bert.modeling_bert.BertIntermediate,
    argument_1: Tensor) -> Tensor:
    intermediate_act_fn = self.intermediate_act_fn
    dense = self.dense
    _45 = (intermediate_act_fn).forward((dense).forward(argument_1, ), )
    return _45
class BertOutput(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  dense : __torch__.torch.ao.nn.quantized.dynamic.modules.linear.___torch_mangle_14.Linear
  LayerNorm : __torch__.torch.nn.modules.normalization.___torch_mangle_15.LayerNorm
  dropout : __torch__.torch.nn.modules.dropout.___torch_mangle_16.Dropout
  def forward(self: __torch__.transformers.models.bert.modeling_bert.BertOutput,
    argument_1: Tensor,
    argument_2: Tensor) -> Tensor:
    LayerNorm = self.LayerNorm
    dropout = self.dropout
    dense = self.dense
    _46 = (dropout).forward((dense).forward(argument_1, ), )
    input = torch.add(_46, argument_2)
    return (LayerNorm).forward(input, )
class BertPooler(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  dense : __torch__.torch.ao.nn.quantized.dynamic.modules.linear.___torch_mangle_282.Linear
  activation : __torch__.torch.nn.modules.activation.Tanh
  def forward(self: __torch__.transformers.models.bert.modeling_bert.BertPooler,
    argument_1: Tensor) -> Tensor:
    activation = self.activation
    dense = self.dense
    _47 = torch.slice(argument_1, 0, 0, 9223372036854775807)
    _48 = (dense).forward(torch.select(_47, 1, 0), )
    return (activation).forward(_48, )
